<template>
  <span class="table-cell table-cell--date">{{ dateString }}</span>
</template>

<script>
import dayjs from 'dayjs'

export default {
  name: 'SaTableCellDate',
  props: {
    date: {
      type: String,
      default: () => null
    }
  },
  computed: {
    dateString() {
      if (!this.date) {
        return null
      }
      return dayjs(this.date).format('DD MMM YY')
    }
  }
}
</script>
